/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/action/ProjectDelete.java,v $
 * $Revision: 1.3 $
 * $Date: 2004/11/12 18:03:46 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/
package de.willuhn.jameica.example.gui.action;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.example.rmi.Project;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.dialogs.YesNoDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Action for "delete project".
 */
public class ProjectDelete implements Action
{

  /**
   * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
   */
  public void handleAction(Object context) throws ApplicationException
  {

		// check if the context is a project
  	if (context == null || !(context instanceof Project))
  		throw new ApplicationException(Settings.i18n().tr("Please choose a project"));

    Project p = (Project) context;
    
    try
    {

			// before deleting the project, we show up a confirm dialog ;)
			
			YesNoDialog d = new YesNoDialog(YesNoDialog.POSITION_CENTER);
			d.setTitle(Settings.i18n().tr("Are you sure?"));
			d.setText(Settings.i18n().tr("Do you really want to delete this project? " +
				"All assigned tasks will be deleted too."));
			
			Boolean choice = (Boolean) d.open();
			if (!choice.booleanValue())
				return;

      p.delete();
      GUI.getStatusBar().setSuccessText(Settings.i18n().tr("Project deleted successfully"));
    }
    catch (Exception e)
    {
      Logger.error("error while deleting project",e);
      throw new ApplicationException(Settings.i18n().tr("Error while deleting project"));
    }
  }

}


/**********************************************************************
 * $Log: ProjectDelete.java,v $
 * Revision 1.3  2004/11/12 18:03:46  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/11/04 23:58:57  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/04 19:30:04  willuhn
 * *** empty log message ***
 *
 **********************************************************************/