/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/action/TaskDetail.java,v $
 * $Revision: 1.4 $
 * $Date: 2004/11/05 01:50:53 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/
package de.willuhn.jameica.example.gui.action;

import java.rmi.RemoteException;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.example.rmi.Project;
import de.willuhn.jameica.example.rmi.Task;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.util.ApplicationException;

/**
 * Action for "show Task details" or "create new Task".
 */
public class TaskDetail implements Action
{

  /**
   * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
   */
  public void handleAction(Object context) throws ApplicationException
  {

		Task task = null;
		
		// check if the context is a task
		if (context != null && (context instanceof Task))
			task = (Task) context;
		

		// context null?
		// --> create a new task
		if (context == null)
		{
			try
			{
				task = (Task) Settings.getDBService().createObject(Task.class,null);
			}
			catch (RemoteException e)
			{
				throw new ApplicationException(Settings.i18n().tr("error while creating new task"),e);
			}
		}

		// check if the context is a project
		// --> create a new task and assign the given project
  	if (context != null && (context instanceof Project))
  	{
			try
			{
				Project p = (Project) context;
				if (p.isNewObject())
					throw new ApplicationException(Settings.i18n().tr("Please store the project first"));
				task = (Task) Settings.getDBService().createObject(Task.class,null);
				task.setProject(p);
			}
			catch (RemoteException e)
			{
				throw new ApplicationException(Settings.i18n().tr("Error while creating new task"),e);
			}
  	}


		// ok, lets start the dialog
  	GUI.startView(de.willuhn.jameica.example.gui.view.TaskDetail.class.getName(),task);
  }

}


/**********************************************************************
 * $Log: TaskDetail.java,v $
 * Revision 1.4  2004/11/05 01:50:53  willuhn
 * *** empty log message ***
 *
 * Revision 1.3  2004/11/04 23:58:57  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/11/04 19:30:04  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/03 20:05:40  willuhn
 * *** empty log message ***
 *
 **********************************************************************/