/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/view/ProjectDetail.java,v $
 * $Revision: 1.4 $
 * $Date: 2004/11/05 20:10:13 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/

package de.willuhn.jameica.example.gui.view;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.example.gui.action.Back;
import de.willuhn.jameica.example.gui.action.ProjectDelete;
import de.willuhn.jameica.example.gui.action.TaskDetail;
import de.willuhn.jameica.example.gui.control.ProjectControl;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.util.ButtonArea;
import de.willuhn.jameica.gui.util.Headline;
import de.willuhn.jameica.gui.util.LabelGroup;
import de.willuhn.util.ApplicationException;


/**
 * this is the dialog for the project details. 
 */
public class ProjectDetail extends AbstractView
{

	/**
   * @see de.willuhn.jameica.gui.AbstractView#bind()
   */
	public void bind() throws Exception
	{
    // draw the title
		GUI.getView().setTitle(Settings.i18n().tr("Project details"));

    // instanciate controller
    final ProjectControl control = new ProjectControl(this);
    
    // create a bordered group
    LabelGroup group = new LabelGroup(getParent(),Settings.i18n().tr("Project details"));
    
    // all all input fields to the group.
    group.addLabelPair(Settings.i18n().tr("Name"),        control.getName());
    group.addLabelPair(Settings.i18n().tr("Description"), control.getDescription());
    group.addLabelPair(Settings.i18n().tr("Price"),       control.getPrice());
    group.addLabelPair(Settings.i18n().tr("Start date"),  control.getStartDate());
    group.addLabelPair(Settings.i18n().tr("End date"),    control.getEndDate());

		// show up the effort summary
		LabelGroup summary = new LabelGroup(getParent(),Settings.i18n().tr("Summary"));
		summary.addLabelPair(Settings.i18n().tr("Efforts" + ":"),	control.getEffortSummary());

    // add some buttons
    ButtonArea buttons = new ButtonArea(getParent(),4);

    buttons.addButton(Settings.i18n().tr("<< Back"),                    	new Back());
    buttons.addButton(Settings.i18n().tr("New Task within this Project"), new TaskDetail(),control.getCurrentObject());
    buttons.addButton(Settings.i18n().tr("Delete Project"),             	new ProjectDelete(),control.getCurrentObject());
    buttons.addButton(Settings.i18n().tr("Store Project"),              	new Action()
    {
      public void handleAction(Object context) throws ApplicationException
      {
        control.handleStore();
      }
    },null,true); // "true" defines this button as the default button


		// show task tasks in this project
		new Headline(getParent(),Settings.i18n().tr("Tasks within this project"));
		control.getTaskList().paint(getParent());

	}

	/**
   * @see de.willuhn.jameica.gui.AbstractView#unbind()
   */
  public void unbind() throws ApplicationException
	{
    // this method will be invoked when leaving the dialog.
    // You are able to interrupt the unbind by throwing an
    // ApplicationException.
	}

}


/**********************************************************************
 * $Log: ProjectDetail.java,v $
 * Revision 1.4  2004/11/05 20:10:13  willuhn
 * *** empty log message ***
 *
 * Revision 1.3  2004/11/05 00:28:26  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/11/04 23:58:57  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/04 19:30:04  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/11/03 20:05:40  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/06/11 00:07:15  willuhn
 * @N Example classes
 *
 **********************************************************************/