/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/view/TaskDetail.java,v $
 * $Revision: 1.2 $
 * $Date: 2004/11/04 23:58:57 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/
package de.willuhn.jameica.example.gui.view;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.example.gui.action.Back;
import de.willuhn.jameica.example.gui.action.TaskDelete;
import de.willuhn.jameica.example.gui.control.TaskControl;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.util.ButtonArea;
import de.willuhn.jameica.gui.util.LabelGroup;
import de.willuhn.util.ApplicationException;

/**
 */
public class TaskDetail extends AbstractView
{

  /**
   * @see de.willuhn.jameica.gui.AbstractView#bind()
   */
  public void bind() throws Exception
  {
		// draw the title
		GUI.getView().setTitle(Settings.i18n().tr("Task details"));

		// instanciate controller
		final TaskControl control = new TaskControl(this);
    
		// create a bordered group
		LabelGroup group = new LabelGroup(getParent(),Settings.i18n().tr("Task details"));
    
		// all all input fields to the group.
		group.addLabelPair(Settings.i18n().tr("Project"),     control.getProject());
		group.addLabelPair(Settings.i18n().tr("Name"),        control.getName());
		group.addLabelPair(Settings.i18n().tr("Comment"), 		control.getComment());
		group.addLabelPair(Settings.i18n().tr("Effort"),      control.getEffort());

		// add some buttons
		ButtonArea buttons = new ButtonArea(getParent(),4);

		buttons.addButton(Settings.i18n().tr("<< Back"),        new Back());
		buttons.addButton(Settings.i18n().tr("Delete Task"),		new TaskDelete(),control.getCurrentObject());
		buttons.addButton(Settings.i18n().tr("Store Task"),  		new Action()
		{
			public void handleAction(Object context) throws ApplicationException
			{
				control.handleStore();
			}
		},null,true); // "true" defines this button as the default button
  }

  /**
   * @see de.willuhn.jameica.gui.AbstractView#unbind()
   */
  public void unbind() throws ApplicationException
  {
  }

}


/**********************************************************************
 * $Log: TaskDetail.java,v $
 * Revision 1.2  2004/11/04 23:58:57  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/04 19:30:04  willuhn
 * *** empty log message ***
 **********************************************************************/